Save selling settings
curl --request POST \
--url https://api.apostra.com/api/v2/storefront/selling-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5
}
}
'import requests
url = "https://api.apostra.com/api/v2/storefront/selling-settings"
payload = { "thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({thresholds: {minimumCategoryFit: 0.5, counterAppetite: 0.5}})
};
fetch('https://api.apostra.com/api/v2/storefront/selling-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"storefrontId": "<string>",
"version": 4503599627370495,
"thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5,
"floorPosture": "hold_floor"
},
"doctrineVariant": "house_default",
"declineDisclosure": "none",
"authored": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"isActive": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Save selling settings
Create and activate an immutable selling-settings revision for this storefront.
POST
/
selling-settings
Save selling settings
curl --request POST \
--url https://api.apostra.com/api/v2/storefront/selling-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5
}
}
'import requests
url = "https://api.apostra.com/api/v2/storefront/selling-settings"
payload = { "thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({thresholds: {minimumCategoryFit: 0.5, counterAppetite: 0.5}})
};
fetch('https://api.apostra.com/api/v2/storefront/selling-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"storefrontId": "<string>",
"version": 4503599627370495,
"thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5,
"floorPosture": "hold_floor"
},
"doctrineVariant": "house_default",
"declineDisclosure": "none",
"authored": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"isActive": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Response
Save selling settings
Required range:
0 < x <= 9007199254740991Show child attributes
Show child attributes
Available options:
house_default, premium_scarcity_house, volume_partner, consultative, custom Available options:
none, gap, gap_and_invitation Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$